All of lore.kernel.org
 help / color / mirror / Atom feed
From: Zhao Gongyi <zhaogongyi@huawei.com>
To: <linux-doc@vger.kernel.org>, <linux-kernel@vger.kernel.org>,
	<linux-mm@kvack.org>, <linux-kselftest@vger.kernel.org>
Cc: <akinobu.mita@gmail.com>, <corbet@lwn.net>, <david@redhat.com>,
	<osalvador@suse.de>, <shuah@kernel.org>,
	Zhao Gongyi <zhaogongyi@huawei.com>
Subject: [PATCH -next 4/5] selftests/memory-hotplug: Restore memory before exit
Date: Fri, 9 Sep 2022 15:51:59 +0800	[thread overview]
Message-ID: <20220909075200.198363-5-zhaogongyi@huawei.com> (raw)
In-Reply-To: <20220909075200.198363-1-zhaogongyi@huawei.com>

Some momory will be left in offline state when calling
offline_memory_expect_fail() failed. Restore it before exit.

Signed-off-by: Zhao Gongyi <zhaogongyi@huawei.com>
---
 .../memory-hotplug/mem-on-off-test.sh         | 24 +++++++++++++------
 1 file changed, 17 insertions(+), 7 deletions(-)

diff --git a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
index 3bdf3c4d6d06..259fd8978639 100755
--- a/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
+++ b/tools/testing/selftests/memory-hotplug/mem-on-off-test.sh
@@ -134,6 +134,17 @@ offline_memory_expect_fail()
 	return 0
 }

+online_all_hot_pluggable_memory()
+{
+
+	for memory in `hotpluggable_offline_memory`; do
+		online_memory_expect_success $memory || {
+			echo "online memory $memory: unexpected fail"
+			retval=1
+		}
+	done
+}
+
 error=-12
 priority=0
 # Run with default of ratio=2 for Kselftest run
@@ -278,13 +289,7 @@ done
 # Online all hot-pluggable memory
 #
 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_ONLINE/error
-for memory in `hotpluggable_offline_memory`; do
-	online_memory_expect_success $memory || {
-		echo "online memory $memory: unexpected fail"
-		retval=1
-	}
-
-done
+online_all_hot_pluggable_memory

 #
 # Test memory hot-remove error handling (online => offline)
@@ -303,4 +308,9 @@ done
 echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/MEM_GOING_OFFLINE/error
 /sbin/modprobe -q -r memory-notifier-error-inject

+#
+# Restore memory before exit
+#
+online_all_hot_pluggable_memory
+
 exit $retval
--
2.17.1


  parent reply	other threads:[~2022-09-09  7:57 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-09  7:51 [PATCH -next 0/5] Optimize and bugfix for notifier error Zhao Gongyi
2022-09-09  7:51 ` [PATCH -next 1/5] docs: notifier-error-inject: fix non-working usage of negative values Zhao Gongyi
2022-09-09  7:51 ` [PATCH -next 2/5] selftests/memory-hotplug: Use 'printf' instead of 'echo' Zhao Gongyi
2022-09-09  7:51 ` [PATCH -next 3/5] selftests/memory-hotplug: Add checking after online or offline Zhao Gongyi
2022-09-09  7:51 ` Zhao Gongyi [this message]
2022-09-09 12:21   ` [PATCH -next 4/5] selftests/memory-hotplug: Restore memory before exit David Hildenbrand
2022-09-09  7:52 ` [PATCH -next 5/5] docs: notifier-error-inject: Correct test's name Zhao Gongyi
2022-09-09 12:18   ` David Hildenbrand
2022-09-15  9:07 [PATCH -next 4/5] selftests/memory-hotplug: Restore memory before exit zhaogongyi

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220909075200.198363-5-zhaogongyi@huawei.com \
    --to=zhaogongyi@huawei.com \
    --cc=akinobu.mita@gmail.com \
    --cc=corbet@lwn.net \
    --cc=david@redhat.com \
    --cc=linux-doc@vger.kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-kselftest@vger.kernel.org \
    --cc=linux-mm@kvack.org \
    --cc=osalvador@suse.de \
    --cc=shuah@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.